Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class ConnectionGroup

    java.lang.Object
      com.mysql.jdbc.ConnectionGroup

    public class ConnectionGroup

extends java.lang.Object

Constructor Summary
`ConnectionGroup(java.lang.String groupName)`

Method Summary
`void` | `addHost(java.lang.String host)`
`void` | `addHost(java.lang.String host, boolean forExisting)`
`void` | `closeConnectionProxy(LoadBalancingConnectionProxy proxy)`
`int` | `getActiveHostCount()`
`long` | `getActiveLogicalConnectionCount()`
`long` | `getActivePhysicalConnectionCount()`
`java.util.Collection<java.lang.String>` | `getClosedHosts()`
`java.lang.String` | `getGroupName()`
`java.util.Collection<java.lang.String>` | `getInitialHosts()`
`long` | `getTotalLogicalConnectionCount()`
`long` | `getTotalPhysicalConnectionCount()`
`long` | `getTotalTransactionCount()`
`long` | `registerConnectionProxy(LoadBalancingConnectionProxy proxy, java.util.List<java.lang.String> localHostList)`
`void` | `removeHost(java.lang.String host)`
`void` | `removeHost(java.lang.String host, boolean killExistingConnections)`
`void` | `removeHost(java.lang.String host, boolean killExistingConnections, boolean waitForGracefulFailover)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionGroup

    ConnectionGroup(java.lang.String groupName)

Method Detail

### registerConnectionProxy

    public long registerConnectionProxy(LoadBalancingConnectionProxy proxy,
                                        java.util.List<java.lang.String> localHostList)

### getGroupName

    public java.lang.String getGroupName()

### getInitialHosts

    public java.util.Collection<java.lang.String> getInitialHosts()

### getActiveHostCount

    public int getActiveHostCount()

### getClosedHosts

    public java.util.Collection<java.lang.String> getClosedHosts()

### getTotalLogicalConnectionCount

    public long getTotalLogicalConnectionCount()

### getActiveLogicalConnectionCount

    public long getActiveLogicalConnectionCount()

### getActivePhysicalConnectionCount

    public long getActivePhysicalConnectionCount()

### getTotalPhysicalConnectionCount

    public long getTotalPhysicalConnectionCount()

### getTotalTransactionCount

    public long getTotalTransactionCount()

### closeConnectionProxy

    public void closeConnectionProxy(LoadBalancingConnectionProxy proxy)

### removeHost

    public void removeHost(java.lang.String host)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### removeHost

    public void removeHost(java.lang.String host,
                           boolean killExistingConnections)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### removeHost

    public void removeHost(java.lang.String host,
                           boolean killExistingConnections,
                           boolean waitForGracefulFailover)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### addHost

    public void addHost(java.lang.String host)

### addHost

    public void addHost(java.lang.String host,
                        boolean forExisting)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD